EphySearchEntry
3
EPIPHANY Library

# EphySearchEntry

## Synopsis

                        EphySearchEntry;
    GtkWidget*          ephy_search_entry_new               (void);
    void                ephy_search_entry_clear             (EphySearchEntry *entry);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkEntry
                               +----EphySearchEntry

## Implemented Interfaces

EphySearchEntry implements AtkImplementorIface, GtkBuildable, GtkEditable and GtkCellEditable.

## Signals

      "search"                                         : Run Last

## Description

## Details

### EphySearchEntry

    typedef struct _EphySearchEntry EphySearchEntry;

### ephy_search_entry_new ()

    GtkWidget*          ephy_search_entry_new               (void);

Creates a new EphySearchEntry.

Returns :

  a new EphySearchEntry, as a GtkWidget

### ephy_search_entry_clear ()

    void                ephy_search_entry_clear             (EphySearchEntry *entry);

Clears the text of the internal GtkEntry of `entry`.

`entry` :

  an EphySearchEntry

## Signal Details

### The `"search"` signal

    void                user_function                      (EphySearchEntry *ephysearchentry,
                                                            gchar           *arg1,
                                                            gpointer         user_data)            : Run Last

`ephysearchentry` :

  the object which received the signal.

`arg1` :

`user_data` :

  user data set when the signal handler was connected.